<template>
  <Popover class="relative flex items-center justify-center">
    <PopoverButton>
      <div class="flex p-1 hover:bg-very-light-grey rounded cursor-pointer items-center justify-center !text-dark-grey hover:!text-fake-black">
        <Icon icon="heroicons:link-16-solid" height="20" width="20" />
      </div>
    </PopoverButton>

    <PopoverPanel class="absolute z-10 top-8 left-1/2 -translate-x-1/2">
      <LinkEditorPanel @on-set-link="onSetLink" />
    </PopoverPanel>
  </Popover>
</template>

<script setup>
import { Icon } from "@iconify/vue";
import LinkEditorPanel from "./LinkEditorPanel.vue";
import { Popover, PopoverButton, PopoverPanel } from '@headlessui/vue';

const emits = defineEmits(['on-set-link'])

const onSetLink = ({ url, openInNewTab }) => {
  emits('on-set-link', { url: url, openInNewTab: openInNewTab })
}
</script>